%global debug_package %{nil}

Name:           kakoune-lsp
Version:        18.1.1
Release:        1%{?dist}
Summary:        Kakoune Language Server Protocol Client

License:        Unlicense and MIT
URL:            https://github.com/kakoune-lsp/kakoune-lsp
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cargo >= 1.59
BuildRequires:  rust >= 1.59

Requires:       kakoune >= 2024

# How to install servers
#   * https://github.com/kakoune-lsp/kakoune-lsp/wiki/How-to-install-servers
#     - Rust
Suggests:       rls
Suggests:       rust-analysis
Suggests:       rust-src
#     - C, C++
Suggests:       ccls
Suggests:       gcc-c++
#     - Go
Suggests:       golang

%description
kak-lsp is a Language Server Protocol client for Kakoune implemented in Rust.


%prep
%autosetup


%build
%make_build


%install
%make_install         \
    prefix=%{_prefix} \
    %{nil}


%files
%license COPYING MIT
%doc README.asciidoc CONTRIBUTING CHANGELOG.md
%{_bindir}/kak-lsp
%{_datadir}/kak-lsp/
%{_datadir}/licenses/kak-lsp/


%changelog
* Wed Dec 18 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 18.1.1-1
- chore: Update to latest release

* Wed Oct 16 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 18.0.1-1
- chore: Update to latest release

* Thu Jun 27 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 17.1.1-1
- chore: Update to latest release

* Mon Apr 08 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 17.0.1-1
- chore: Update to latest release

* Fri Apr 05 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 17.0.0-1
- chore: Update to latest release

* Tue Feb 20 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 16.0.0-1
- chore: Update to latest release

* Wed Nov 15 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 15.0.0-1
- chore(update): 15.0.0

* Mon Feb 13 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 14.2.0-1
- chore(update): 14.2.0

* Wed Oct 26 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 14.1.0-1
- chore(update): 14.1.0

* Mon Aug 29 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 14.0.0-1
- chore(update): 14.0.0

* Thu Aug 11 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 13.0.0-1
- chore(update): 13.0.0

* Sun May 08 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 12.2.1-1
- chore(update): 12.2.1

* Sat Jan 29 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 12.0.1-1
- chore(update): 12.0.1

* Wed Jan 26 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 12.0.0-1
- chore(update): 12.0.0

* Wed Dec 08 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 11.1.0-1
- chore(update): 11.1.0

* Fri Sep 17 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 11.0.1-1
- build(update): 11.0.1

* Fri Jun 04 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 10.0.0-1
- build(update): 10.0.0

* Sat Jan 23 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 9.0.0-1
- build(update): 9.0.0

* Sun Apr 19 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 8.0.0-1
- Update to 8.0.0

* Sat Jan 04 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 7.0.0-6
- Make all servers as **very** weak deps

* Mon Dec 09 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 7.0.0-5
- Add required deps

* Fri Nov 29 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 7.0.0-2
- Minor Spec file fixes

* Fri Nov 29 2019 ElXreno <elxreno@gmail.com>
- Initial packaging
